<?php

namespace Notes\Route\Annotation\Method;

class Route implements \Notes\Annotation {

    /**
     * @required
     */
    public string $name;

    /**
     * @required
     */
    public string $route;

    public string $method;

    public array $methods;

    public string $class;

    public string $classMethod;

    public function __construct($route = null, $name = null, $method = null)
    {
        if ( $route !== null ) {
            $this->route = $route;
        }

        if ( $name !== null ) {
            $this->name = $name;
        }

        if ( $method !== null ) {
            $this->method = $method;
        }
    }
}
